| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Macros | Typedefs | Functions
camera_utils.cpp File Reference
`#include "camera_utils.h"`
`#include <camera/NdkCameraManager.h>`
`#include <media/NdkImage.h>`
`#include <cinttypes>`
`#include <string>`
`#include <typeinfo>`
`#include <utility>`
`#include <vector>`
Include dependency graph for camera_utils.cpp:

## Macros
#define | UKNOWN_TAG "UNKNOW_TAG"
#define | MAKE_PAIR(val) std::make_pair(val, #val)
#define | MODE_LABLE "ModeInfo:"

## Typedefs
using | ERROR_PAIR = std::pair< camera_status_t, const char * >
using | TAG_PAIR = std::pair< acamera_metadata_tag_t, const char * >
using | FORMAT_PAIR = std::pair< int, const char * >
using | DEV_ERROR_PAIR = std::pair< int, const char * >

## Functions
template<typename T >
const char * | GetPairStr (T key, std::vector< std::pair< T, const char * > > &store)
const char * | GetErrorStr (camera_status_t err)
const char * | GetTagStr (acamera_metadata_tag_t tag)
const char * | GetFormatStr (int fmt)
void | PrintMetadataTags (int32_t entries, const uint32_t *pTags)
void | PrintLensFacing (ACameraMetadata_const_entry &lens)
void | PrintStreamConfigurations (ACameraMetadata_const_entry &val)
void | PrintTagVal (const char *printLabel, ACameraMetadata_const_entry &val)
void | PrintCameras (ACameraManager *cmrMgr)
void | PrintRequestMetadata (ACaptureRequest *req)
const char * | GetCameraDeviceErrorStr (int err)
void | PrintCameraDeviceError (int err)

## Macro Definition Documentation

## ◆ MAKE_PAIR

#define MAKE_PAIR | ( |  | val | ) | std::make_pair(val, #val)

## ◆ MODE_LABLE

#define MODE_LABLE "ModeInfo:"

## ◆ UKNOWN_TAG

#define UKNOWN_TAG "UNKNOW_TAG"

## Typedef Documentation

## ◆ DEV_ERROR_PAIR

using DEV_ERROR_PAIR = std::pair<int, const char*>

## ◆ ERROR_PAIR

using ERROR_PAIR = std::pair<camera_status_t, const char*>

## ◆ FORMAT_PAIR

using FORMAT_PAIR = std::pair<int, const char*>

## ◆ TAG_PAIR

using TAG_PAIR = std::pair<acamera_metadata_tag_t, const char*>

## Function Documentation

## ◆ GetCameraDeviceErrorStr()

const char * GetCameraDeviceErrorStr | ( | int | err | ) |

## ◆ GetErrorStr()

const char * GetErrorStr | ( | camera_status_t | err | ) |

## ◆ GetFormatStr()

const char * GetFormatStr | ( | int | fmt | ) |

## ◆ GetPairStr()

template<typename T >

const char * GetPairStr | ( | T | key,
|  | std::vector< std::pair< T, const char * > > & | store
| ) |  |

## ◆ GetTagStr()

const char * GetTagStr | ( | acamera_metadata_tag_t | tag | ) |

## ◆ PrintCameraDeviceError()

void PrintCameraDeviceError | ( | int | err | ) |

Here is the call graph for this function:

## ◆ PrintCameras()

void PrintCameras | ( | ACameraManager * | cmrMgr | ) |

Here is the call graph for this function:

## ◆ PrintLensFacing()

void PrintLensFacing | ( | ACameraMetadata_const_entry & | lens | ) |

Here is the call graph for this function:

## ◆ PrintMetadataTags()

void PrintMetadataTags | ( | int32_t | entries,
|  | const uint32_t * | pTags
| ) |  |

Here is the call graph for this function:

## ◆ PrintRequestMetadata()

void PrintRequestMetadata | ( | ACaptureRequest * | req | ) |

Here is the call graph for this function:

## ◆ PrintStreamConfigurations()

void PrintStreamConfigurations | ( | ACameraMetadata_const_entry & | val | ) |

Here is the call graph for this function:

## ◆ PrintTagVal()

void PrintTagVal | ( | const char * | printLabel,
|  | ACameraMetadata_const_entry & | val
| ) |  |

Here is the call graph for this function: